cryptohash-0.11.9: collection of crypto hashes, fast, pure and practical

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Trustworthy
Language | Haskell98

Crypto.Hash.Types

Contents

- deprecated

Description

Crypto hash types definitions

Synopsis

- newtype Context a = Context (Context a)
- newtype Digest a = Digest (Digest a)
- contextToByteString :: Context a -> ByteString
- digestToByteString :: Digest a -> ByteString

# Documentation

newtype Context a #

Represent a context for a given hash algorithm.

Constructors

Context (Context a) |

Instances

Byteable (Context a) # |
Methods toBytes :: Context a -> ByteString # byteableLength :: Context a -> Int # withBytePtr :: Context a -> (Ptr Word8 -> IO b) -> IO b #

newtype Digest a #

Represent a digest for a given hash algorithm.

Constructors

Digest (Digest a) |

Instances

Eq (Digest a) # |
Methods (==) :: Digest a -> Digest a -> Bool # (/=) :: Digest a -> Digest a -> Bool #
Ord (Digest a) # |
Methods compare :: Digest a -> Digest a -> Ordering # (<) :: Digest a -> Digest a -> Bool # (<=) :: Digest a -> Digest a -> Bool # (>) :: Digest a -> Digest a -> Bool # (>=) :: Digest a -> Digest a -> Bool # max :: Digest a -> Digest a -> Digest a # min :: Digest a -> Digest a -> Digest a #
Show (Digest a) # |
Methods showsPrec :: Int -> Digest a -> ShowS # show :: Digest a -> String # showList :: [Digest a] -> ShowS #
Byteable (Digest a) # |
Methods toBytes :: Digest a -> ByteString # byteableLength :: Digest a -> Int # withBytePtr :: Digest a -> (Ptr Word8 -> IO b) -> IO b #

# deprecated

contextToByteString :: Context a -> ByteString #

digestToByteString :: Digest a -> ByteString #

Deprecated: use toBytes from byteable:Data.Byteable

return the binary bytestring. deprecated use toBytes.